<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:service="http://sbr.gov.au/comn/list.02.service" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:RprtPyType.02.11="http://sbr.gov.au/dims/RprtPyType.02.11.dims" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="IITR201505Validator_Functions.xsl"/><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/><xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-id"/><!--MODE: SCHEMATRON-FULL-PATH-2ATO-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" match="node() | @*" mode="schematron-get-full-path-2ato"><xsl:for-each select="ancestor-or-self::*"><xsl:if test="name(.) != 'documents' and name(.) != 'document'"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->
<xsl:key name="IITR_RP_facts" match="xbrli:xbrl/*[@contextRef=$IITR.RP.ContextId and not(@i:nil='true')]" use="concat(local-name(),'IITR_RP')"/><xsl:key name="IITR_INT_facts" match="xbrli:xbrl/*[@contextRef=$IITR.INT.ContextId and not(@i:nil='true')]" use="concat(local-name(),'IITR_INT')"/>

<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="results"><xsl:apply-templates select="/" mode="M26"/><xsl:apply-templates select="/" mode="M27"/><xsl:apply-templates select="/" mode="M28"/><xsl:apply-templates select="/" mode="M29"/></xsl:variable><xsl:if xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" test="$results"><xsl:element name="tns:Event" namespace="http://sbr.gov.au/comn/event.02.data" inherit-namespaces="no"><xsl:element name="tns:MaximumSeverity.Code"><xsl:choose><xsl:when test="$results//tns:Severity.Code[.='Error']">Error</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Partial']">Partial</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Warning']">Warning</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Information']">Information</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Progressive']">Progressive</xsl:when><xsl:otherwise>Information</xsl:otherwise></xsl:choose></xsl:element><xsl:element name="tns:EventItems"><xsl:if test="not($results//tns:Severity.Code[.='Error'] or  $results//tns:Severity.Code[.='Partial'])"><xsl:element name="tns:EventItem"><xsl:element name="tns:Error.Code">CMN.ATO.GEN.OK</xsl:element><xsl:element name="tns:Severity.Code">Information</xsl:element><xsl:element name="tns:Short.Description">Message accepted</xsl:element><xsl:element name="tns:Locations"><xsl:element name="tns:Location"><xsl:element name="tns:Location.Instance.Identifier"><xsl:value-of select="$document-id"/></xsl:element></xsl:element></xsl:element></xsl:element></xsl:if><xsl:copy-of copy-namespaces="no" select="$results"/></xsl:element></xsl:element></xsl:if></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN VariablesXBRL variables that are applicable across all of the IITR services.-->
<xsl:variable name="IITR.Context" select="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/iitr/iitr.0002/iitr.0001.prefill.request.02.00.report.xsd']]"/><xsl:variable name="IITR.RP.Context" select="$IITR.Context/xbrli:context                                     [                                           not(@i:nil='true')                                            and                                            xbrli:entity/xbrli:segment                                           [                                               count(xbrldi:explicitMember) = 1                                                and                                               count(xbrldi:typedMember) = 0                                                and                                                       xbrldi:explicitMember                                                         [                                                            matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                           and                                                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                             ]                                            ]                                           and                                           count(xbrli:period/xbrli:startDate) = 1                                     ]"/><xsl:variable name="IITR.RP.ContextId" select="$IITR.RP.Context/@id"/><xsl:variable name="IITR.INT.Context" select="$IITR.Context/xbrli:context                                     [                                           not(@i:nil='true')                                            and                                            xbrli:entity/xbrli:segment                                           [                                               count(xbrldi:explicitMember) = 1                                                and                                               count(xbrldi:typedMember) = 0                                                and                                                       xbrldi:explicitMember                                                         [                                                            matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                           and                                                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:Intermediary$')                                                             ]                                            ]                                           and                                           count(xbrli:period/xbrli:startDate) = 1                                     ]"/><xsl:variable name="IITR.INT.ContextId" select="$IITR.INT.Context/@id"/><xsl:variable name="currentContextId" select="xbrli:xbrl/xbrli:context/@id"/><xsl:variable name="iitr10" select="key('IITR_RP_facts', 'Report.TargetFinancial.YearIITR_RP')"/><xsl:variable name="iitr542" select="key('IITR_INT_facts', 'Identifiers.TaxAgentNumber.IdentifierIITR_INT')"/><xsl:template match="text()" priority="-1" mode="M26"/><xsl:template match="@*|node()" priority="-2" mode="M26"><xsl:apply-templates select="*" mode="M26"/></xsl:template>

<!--
                PATTERN ContextPreFill Context Tests-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1002" mode="M27">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(               count($IITR.RP.Context) != 1       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430296</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. The number of Reporting party contexts must equal 1</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.000209</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:context</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                   count($IITR.INT.Context) != 1                   )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500036</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. The number of Intermediary contexts must equal 1.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500036</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:context/xbrli:period/xbrli:startDate</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M27"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true')]" priority="1001" mode="M27">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $IITR.RP.ContextId                         and                         xbrli:entity/xbrli:identifier                         [                                                         not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))                         ]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.438029</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Entity identifier scheme for ReportingParty must be "http://www.ato.gov.au/tfn"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500075</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $IITR.INT.ContextId                             and                             xbrli:entity/xbrli:identifier                             [                                                             not(matches(@scheme,'^http://www.abr.gov.au/abn$'))                             ]                    )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.438039</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Entity identifier scheme for Intermediary must be "http://www.abr.gov.au/abn"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.438039</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                @id = $IITR.RP.ContextId                         and                         xbrli:entity/xbrli:identifier                         [                             string-length(.) != 0                              and                              not(function:ValidateTFN(.))                         ]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500009</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Reporting Party Tax File Number has failed the algorithm check</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500009</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          @id = $IITR.INT.ContextId                         and                         xbrli:entity/xbrli:identifier                         [                             string-length(.) != 0                              and                              not(function:ValidateABN(.))                         ]                    )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430318</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>ABN in context must be a valid ABN</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.430318</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:variable name="startDate" select="xbrli:period/xbrli:startDate"/><xsl:variable name="endDate" select="xbrli:period/xbrli:endDate"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         preceding-sibling::xbrli:context/xbrli:period/xbrli:endDate[. != $endDate]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500033</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. Period end date must be the same across all duration contexts.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500033</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem><tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500033</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. Period end date must be the same across all duration contexts.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500033</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                     preceding-sibling::xbrli:context/xbrli:period/xbrli:startDate[. != $startDate]                 )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500030</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. Period start date must be the same across all duration contexts.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500030</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:variable name="iitr10_startDate" select="concat(sum($iitr10) -1,'-07-01')"/><xsl:variable name="iitr10_endDate" select="concat(sum($iitr10) ,'-06-30')"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                  $startDate != $iitr10_startDate                           or                           $endDate != $iitr10_endDate                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.IITR.620002</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>The period dates provided must be for the annual period</tns:Short.Description><tns:Detailed.Description>The period start and end dates provided must correspond to the 12 month accounting period 1 July - 30 June, associated with the requested Tax year</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.IITR.620002</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:period</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M27"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true')]/xbrli:period[not(@i:nil='true')]/xbrli:startDate" priority="1000" mode="M27">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         function:IsDate1GreaterThanDate2(., current-date())                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500035</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. Period start date cannot be any day in the future.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500035</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $iitr10[not(@i:nil='true')]                         and                                                 function:IsDate1GreaterThanDate2                         (                           concat($iitr10 - 1, '-01-01'),                            .                         )                                                                                  )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.IITR.000033</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Date financial year from date must commence on or after 1st January in the previous year</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.IITR.000033</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M27"/></xsl:template><xsl:template match="text()" priority="-1" mode="M27"/><xsl:template match="@*|node()" priority="-2" mode="M27"><xsl:apply-templates select="*" mode="M27"/></xsl:template>

<!--
                PATTERN MandatoriesMandatory Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1000" mode="M28">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($iitr10[not(@i:nil='true')])                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.IITR.620000</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Tax year must be present</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.IITR.620000</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyin.02.00:Report.TargetFinancial.Year</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not( $iitr542[not(@i:nil='true') and string-length(.) != 0] )             )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500038</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Intermediary Tax Agent number is mandatory</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500038</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyid.02.00:Identifiers.TaxAgentNumber.Identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M28"/></xsl:template><xsl:template match="text()" priority="-1" mode="M28"/><xsl:template match="@*|node()" priority="-2" mode="M28"><xsl:apply-templates select="*" mode="M28"/></xsl:template>

<!--
                PATTERN ContentPreFill Context Tests-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyin.02.00:Report.TargetFinancial.Year[not(@i:nil='true') and string-length(.) != 0]" priority="1001" mode="M29">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       $iitr10 &lt; '2014'                       or                       (                         month-from-date(current-date()) &lt; 7                         and                         $iitr10 &gt; (year-from-date(current-date()))                       )                       or                       (                         month-from-date(current-date()) &gt; 6                         and                         $iitr10 &gt; (year-from-date(current-date()) + 1)                       )               )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.IITR.620001</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Tax year must be between 2014 and current income tax return year</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.IITR.620001</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M29"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true') and string-length(.) != 0]" priority="1000" mode="M29">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not(function:ValidateTAN(.))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410009</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>The Tax Agent number has failed the Tax Agent number algorithm check</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.428247</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M29"/></xsl:template><xsl:template match="text()" priority="-1" mode="M29"/><xsl:template match="@*|node()" priority="-2" mode="M29"><xsl:apply-templates select="*" mode="M29"/></xsl:template></xsl:stylesheet>