﻿<?xml version="1.0" encoding="utf-8" ?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Mandatory Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.IITR.620000
         ELS Ref: N/A
 
        IF ([iitr10] = NULL)
            RETURN VALIDATION MESSAGE
        ENDIF

-->
    <assert id="VR.ATO.IITR.620000" diagnostics="DVR.ATO.IITR.620000"
            test="not(
                        not($iitr10[not(@i:nil='true')])
                      )" 
       />

    <!-- Rule ID: VR.ATO.GEN.500038
         ELS Ref: N/A
 
          IF (pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier = NULLORBLANK)
              RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.GEN.500038" diagnostics="DVR.ATO.GEN.500038"
            test="not(
                        not( $iitr542[not(@i:nil='true') and string-length(.) != 0] )
            )" />
    
    
  </rule>

</pattern>
