﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Deductions Mandatory Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.IITR.600025
         ELS Ref: V17

		    IF [iitr150] = NULL
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr150] = bafpr1.xx.xx:Expense.DeductionsTotal.Amount
    -->
    <assert id="VR.ATO.IITR.600025" diagnostics="DVR.ATO.IITR.600025"
            test="not(
                        not($iitr150[not(@i:nil='true')])
                     )" />


    <!-- Rule ID: VR.ATO.IITR.600026
         ELS Ref: V17

		    IF [iitr157] = NULL
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
    -->
    <assert id="VR.ATO.IITR.600026" diagnostics="DVR.ATO.IITR.600026"
            test="not(
                        not($iitr157[not(@i:nil='true')])
                     )" />

  </rule>

</pattern>
