<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:service="http://sbr.gov.au/comn/list.02.service" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:tech.01.03="http://sbr.gov.au/fdtn/sbr.01.03.tech" xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" xmlns:dtyp.02.15="http://sbr.gov.au/fdtn/sbr.02.15.dtyp" xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" xmlns:tech.01.02="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyid.02.03="http://sbr.gov.au/icls/py/pyid/pyid.02.03.data" xmlns:dtyp.02.03="http://sbr.gov.au/fdtn/sbr.02.03.dtyp" xmlns:dtyp.02.13="http://sbr.gov.au/fdtn/sbr.02.13.dtyp" xmlns:dtyp.02.09="http://sbr.gov.au/fdtn/sbr.02.09.dtyp" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:emsup.02.03="http://sbr.gov.au/icls/em/emsup/emsup.02.03.data" xmlns:dtyp.02.00="http://sbr.gov.au/fdtn/sbr.02.00.dtyp" xmlns:pyin.02.14="http://sbr.gov.au/icls/py/pyin/pyin.02.14.data" xmlns:pyde.02.10="http://sbr.gov.au/icls/py/pyde/pyde.02.10.data" xmlns:pyde.02.12="http://sbr.gov.au/icls/py/pyde/pyde.02.12.data" xmlns:rvctc2.02.14="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.14.data" xmlns:RprtPyType.02.06="http://sbr.gov.au/dims/RprtPyType.02.06.dims" xmlns:CarSqNumDim.02.00="http://sbr.gov.au/dims/CarSqNumDim.02.00.dims" xmlns:CSSqNumDim.02.00="http://sbr.gov.au/dims/CSSqNumDim.02.00.dims" xmlns:EDSqNumDim.02.00="http://sbr.gov.au/dims/EDSqNumDim.02.00.dims" xmlns:OTHWRSqNumDim.02.00="http://sbr.gov.au/dims/OTHWRSqNumDim.02.00.dims" xmlns:TrvlSqNumDim.02.00="http://sbr.gov.au/dims/TrvlSqNumDim.02.00.dims" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="WRE201405Validator_Functions.xsl"/><xsl:variable xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->
<xsl:key name="RP_facts" match="xbrli:xbrl/*[@contextRef=$RP.ContextId and not(@i:nil='true')]" use="concat(local-name(),'RP')"/><xsl:key name="RPCARSEQ_facts" match="xbrli:xbrl/*[@contextRef=$RPCARSEQ.ContextId and not(@i:nil='true')]" use="concat(local-name(),'RPCARSEQ')"/><xsl:key name="RPCLOTHINGSEQ_facts" match="xbrli:xbrl/*[@contextRef=$RPCLOTHINGSEQ.ContextId and not(@i:nil='true')]" use="concat(local-name(),'RPCLOTHINGSEQ')"/><xsl:key name="RPEDUCATIONSEQ_facts" match="xbrli:xbrl/*[@contextRef=$RPEDUCATIONSEQ.ContextId and not(@i:nil='true')]" use="concat(local-name(),'RPEDUCATIONSEQ')"/><xsl:key name="RPOTHERWRESEQ_facts" match="xbrli:xbrl/*[@contextRef=$RPOTHERWRESEQ.ContextId and not(@i:nil='true')]" use="concat(local-name(),'RPOTHERWRESEQ')"/><xsl:key name="RPTRAVELSEQ_facts" match="xbrli:xbrl/*[@contextRef=$RPTRAVELSEQ.ContextId and not(@i:nil='true')]" use="concat(local-name(),'RPTRAVELSEQ')"/>

<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M50"/><xsl:apply-templates select="/" mode="M51"/><xsl:apply-templates select="/" mode="M52"/><xsl:apply-templates select="/" mode="M53"/><xsl:apply-templates select="/" mode="M54"/><xsl:apply-templates select="/" mode="M55"/></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN VariablesXBRL variables that are applicable across all of the WRE services.-->
<xsl:variable name="RP.Context" select="//xbrli:xbrl/xbrli:context[                                             not(@i:nil='true')                                              and                                              xbrli:entity/xbrli:segment                                             [                                                 count(xbrldi:explicitMember) = 1                                                  and                                                 count(xbrldi:typedMember) = 0                                                  and                                                 xbrldi:explicitMember                                                 [                                                    matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                   and                                                    matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                     ]                                                ]                                         ]"/><xsl:variable name="RP.ContextId" select="$RP.Context/@id"/><xsl:variable name="RPCARSEQ.Context" select="//xbrli:xbrl/xbrli:context[                                              not(@i:nil='true')                                              and                                              xbrli:entity/xbrli:segment                                             [                                                 count(./xbrldi:explicitMember) = 1 and                                                 count(./xbrldi:typedMember) = 1 and                                                 xbrldi:explicitMember                                                 [                                                     matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                     and                                                      matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                         ]                                                 and                                                 xbrldi:typedMember                                                 [                                                     matches(@dimension,'^CarSqNumDim\.\d{2}\.\d{2}:CarSequenceDimension$')                                                                          ]                                               ]                                           ]"/><xsl:variable name="RPCARSEQ.ContextId" select="$RPCARSEQ.Context/@id"/><xsl:variable name="RPCLOTHINGSEQ.Context" select="//xbrli:xbrl/xbrli:context[                                              not(@i:nil='true')                                              and                                              xbrli:entity/xbrli:segment                                             [                                                   count(./xbrldi:explicitMember) = 1 and                                                   count(./xbrldi:typedMember) = 1 and                                                   xbrldi:explicitMember                                                   [                                                       matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                       and                                                        matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                           ]                                                                                                     and                                                   xbrldi:typedMember                                                   [                                                       matches(@dimension,'^CSSqNumDim\.\d{2}\.\d{2}:ClothingSequenceDimension$')                                                                            ]                                               ]                                         ]"/><xsl:variable name="RPCLOTHINGSEQ.ContextId" select="$RPCLOTHINGSEQ.Context/@id"/><xsl:variable name="RPEDUCATIONSEQ.Context" select="//xbrli:xbrl/xbrli:context[                                              not(@i:nil='true')                                              and                                              xbrli:entity/xbrli:segment                                             [                                                   count(./xbrldi:explicitMember) = 1 and                                                   count(./xbrldi:typedMember) = 1 and                                                   xbrldi:explicitMember                                                   [                                                       matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                       and                                                        matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                           ]                                                   and                                                   xbrldi:typedMember                                                   [                                                       matches(@dimension,'^EDSqNumDim\.\d{2}\.\d{2}:EducationSequenceDimension$')                                                                            ]                                               ]                                           ]"/><xsl:variable name="RPEDUCATIONSEQ.ContextId" select="$RPEDUCATIONSEQ.Context/@id"/><xsl:variable name="RPOTHERWRESEQ.Context" select="//xbrli:xbrl/xbrli:context[                                              not(@i:nil='true')                                              and                                              xbrli:entity/xbrli:segment                                             [                                                   count(./xbrldi:explicitMember) = 1 and                                                   count(./xbrldi:typedMember) = 1 and                                                   xbrldi:explicitMember                                                   [                                                       matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                       and                                                        matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                           ]                                                   and                                                   xbrldi:typedMember                                                   [                                                       matches(@dimension,'^OTHWRSqNumDim\.\d{2}\.\d{2}:OtherWorkRelatedSequenceDimension$')                                                                            ]                                              ]                                         ]"/><xsl:variable name="RPOTHERWRESEQ.ContextId" select="$RPOTHERWRESEQ.Context/@id"/><xsl:variable name="RPTRAVELSEQ.Context" select="//xbrli:xbrl/xbrli:context[                                              not(@i:nil='true')                                              and                                              xbrli:entity/xbrli:segment                                             [                                                   count(./xbrldi:explicitMember) = 1 and                                                   count(./xbrldi:typedMember) = 1 and                                                   xbrldi:explicitMember                                                   [                                                       matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                       and                                                        matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                           ]                                                   and                                                   xbrldi:typedMember                                                   [                                                       matches(@dimension,'^TrvlSqNumDim\.\d{2}\.\d{2}:TravelSequenceDimension$')                                                                            ]                                             ]                                         ]"/><xsl:variable name="RPTRAVELSEQ.ContextId" select="$RPTRAVELSEQ.Context/@id"/><xsl:variable name="wre12" select="key('RP_facts', 'IncomeTax.Deduction.CarReason.DescriptionRP')"/><xsl:variable name="wre24" select="key('RP_facts', 'IncomeTax.Deduction.TravelReason.DescriptionRP')"/><xsl:variable name="wre31" select="key('RP_facts', 'IncomeTax.Deduction.ClothingReason.DescriptionRP')"/><xsl:variable name="wre38" select="key('RP_facts', 'IncomeTax.Deduction.EducationReason.DescriptionRP')"/><xsl:variable name="wre46" select="key('RP_facts', 'IncomeTax.Deduction.EducationReduction.AmountRP')"/><xsl:variable name="wre47" select="key('RP_facts', 'IncomeTax.Deduction.EducationNet.AmountRP')"/><xsl:variable name="wre49" select="key('RP_facts', 'IncomeTax.Deduction.WorkRelatedReasonOther.DescriptionRP')"/><xsl:variable name="wre13" select="key('RPCARSEQ_facts', 'Assets.CarMakeModel.DescriptionRPCARSEQ')"/><xsl:variable name="wre14" select="key('RPCARSEQ_facts', 'IncomeTax.Deduction.CarEngineCapacity.CodeRPCARSEQ')"/><xsl:variable name="wre15" select="key('RPCARSEQ_facts', 'IncomeTax.Deduction.CarCalculationMethod.CodeRPCARSEQ')"/><xsl:variable name="wre16" select="key('RPCARSEQ_facts', 'IncomeTax.Deduction.CarLogBookMethodBusinessUseRecorded.PercentRPCARSEQ')"/><xsl:variable name="wre17" select="key('RPCARSEQ_facts', 'IncomeTax.Deduction.CarLogBookMethodBusinessUseClaimed.PercentRPCARSEQ')"/><xsl:variable name="wre18" select="key('RPCARSEQ_facts', 'IncomeTax.Deduction.CarBusinessKilometres.NumberRPCARSEQ')"/><xsl:variable name="wre19" select="key('RPCARSEQ_facts', 'Expense.CarPurchasePrice.AmountRPCARSEQ')"/><xsl:variable name="wre20" select="key('RPCARSEQ_facts', 'IncomeTax.Deduction.CarStandardEvidenceCalculation.CodeRPCARSEQ')"/><xsl:variable name="wre21" select="key('RPCARSEQ_facts', 'IncomeTax.Deduction.CarStandardEvidenceCalculationOther.DescriptionRPCARSEQ')"/><xsl:variable name="wre22" select="key('RPCARSEQ_facts', 'IncomeTax.Deduction.Car.AmountRPCARSEQ')"/><xsl:variable name="wre25" select="key('RPTRAVELSEQ_facts', 'IncomeTax.Deduction.TravelCategory.CodeRPTRAVELSEQ')"/><xsl:variable name="wre26" select="key('RPTRAVELSEQ_facts', 'IncomeTax.Deduction.TravelCategoryOther.DescriptionRPTRAVELSEQ')"/><xsl:variable name="wre27" select="key('RPTRAVELSEQ_facts', 'IncomeTax.Deduction.TravelStandardEvidenceCalculation.CodeRPTRAVELSEQ')"/><xsl:variable name="wre28" select="key('RPTRAVELSEQ_facts', 'IncomeTax.Deduction.TravelStandardEvidenceCalculationOther.DescriptionRPTRAVELSEQ')"/><xsl:variable name="wre29" select="key('RPTRAVELSEQ_facts', 'IncomeTax.Deduction.Travel.AmountRPTRAVELSEQ')"/><xsl:variable name="wre32" select="key('RPCLOTHINGSEQ_facts', 'IncomeTax.Deduction.ClothingCategory.CodeRPCLOTHINGSEQ')"/><xsl:variable name="wre33" select="key('RPCLOTHINGSEQ_facts', 'IncomeTax.Deduction.ClothingCategoryOther.DescriptionRPCLOTHINGSEQ')"/><xsl:variable name="wre34" select="key('RPCLOTHINGSEQ_facts', 'IncomeTax.Deduction.ClothingStandardEvidenceCalculation.CodeRPCLOTHINGSEQ')"/><xsl:variable name="wre35" select="key('RPCLOTHINGSEQ_facts', 'IncomeTax.Deduction.ClothingStandardEvidenceCalculationOther.DescriptionRPCLOTHINGSEQ')"/><xsl:variable name="wre36" select="key('RPCLOTHINGSEQ_facts', 'IncomeTax.Deduction.Clothing.AmountRPCLOTHINGSEQ')"/><xsl:variable name="wre39" select="key('RPEDUCATIONSEQ_facts', 'Identifiers.CourseName.TextRPEDUCATIONSEQ')"/><xsl:variable name="wre40" select="key('RPEDUCATIONSEQ_facts', 'Identifiers.InstitutionName.TextRPEDUCATIONSEQ')"/><xsl:variable name="wre41" select="key('RPEDUCATIONSEQ_facts', 'IncomeTax.Deduction.EducationCategory.CodeRPEDUCATIONSEQ')"/><xsl:variable name="wre42" select="key('RPEDUCATIONSEQ_facts', 'IncomeTax.Deduction.EducationCategoryOther.DescriptionRPEDUCATIONSEQ')"/><xsl:variable name="wre43" select="key('RPEDUCATIONSEQ_facts', 'IncomeTax.Deduction.EducationStandardEvidenceCalculation.CodeRPEDUCATIONSEQ')"/><xsl:variable name="wre44" select="key('RPEDUCATIONSEQ_facts', 'IncomeTax.Deduction.EducationStandardEvidenceCalculationOther.DescriptionRPEDUCATIONSEQ')"/><xsl:variable name="wre45" select="key('RPEDUCATIONSEQ_facts', 'IncomeTax.Deduction.Education.AmountRPEDUCATIONSEQ')"/><xsl:variable name="wre50" select="key('RPOTHERWRESEQ_facts', 'IncomeTax.Deduction.WorkRelatedCategoryOther.CodeRPOTHERWRESEQ')"/><xsl:variable name="wre51" select="key('RPOTHERWRESEQ_facts', 'IncomeTax.Deduction.WorkRelatedCategoryOther.DescriptionRPOTHERWRESEQ')"/><xsl:variable name="wre52" select="key('RPOTHERWRESEQ_facts', 'IncomeTax.Deduction.WorkRelatedBusinessUseClaimedOther.PercentRPOTHERWRESEQ')"/><xsl:variable name="wre53" select="key('RPOTHERWRESEQ_facts', 'IncomeTax.Deduction.WorkRelatedStandardEvidenceCalculationOther.CodeRPOTHERWRESEQ')"/><xsl:variable name="wre54" select="key('RPOTHERWRESEQ_facts', 'IncomeTax.Deduction.WorkRelatedStandardEvidenceCalculationOther.DescriptionRPOTHERWRESEQ')"/><xsl:variable name="wre55" select="key('RPOTHERWRESEQ_facts', 'IncomeTax.Deduction.WorkRelatedOther.AmountRPOTHERWRESEQ')"/><xsl:template match="text()" priority="-1" mode="M50"/><xsl:template match="@*|node()" priority="-2" mode="M50"><xsl:apply-templates select="*" mode="M50"/></xsl:template>

<!--
                PATTERN ContextValidations for contexts that are applicable across all of the WRE services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1001" mode="M51">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RP.Context) != 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430296</isns:Code><isns:Description>Invalid context. The number of Reporting party contexts must equal 1</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier                         [                                                         not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.438029</isns:Code><isns:Description>Entity identifier scheme for ReportingParty must be "http://www.ato.gov.au/tfn"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M51"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true')]" priority="1000" mode="M51"><xsl:variable name="currentRPTFN" select="$RP.Context/xbrli:entity/xbrli:identifier"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                 xbrli:entity/xbrli:identifier != $currentRPTFN                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001023</isns:Code><isns:Description>Unexpected TFN mismatch with Reporting Party</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="carReportItemOrderNumber" select="xbrli:entity/xbrli:segment/xbrldi:typedMember/CarSqNumDim.02.00:CarSequenceContainer"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $RPCARSEQ.ContextId                         and                         preceding-sibling::xbrli:context/xbrli:entity/xbrli:segment/xbrldi:typedMember/                             CarSqNumDim.02.00:CarSequenceContainer[. = $carReportItemOrderNumber]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000072</isns:Code><isns:Description>Reporting Party Car Sequence Container must not be duplicated</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:segment/xbrldi:typedMember/CarSqNumDim.02.00:CarSequenceContainer</xsl:text></Location><isns:LongDescription>The Sequence Container within the Car Sequence Dimension context instance must not be duplicated</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="travelReportItemOrderNumber" select="xbrli:entity/xbrli:segment/xbrldi:typedMember/TrvlSqNumDim.02.00:TravelSequenceContainer"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $RPTRAVELSEQ.ContextId                         and                         preceding-sibling::xbrli:context/xbrli:entity/xbrli:segment/xbrldi:typedMember/                             TrvlSqNumDim.02.00:TravelSequenceContainer[. = $travelReportItemOrderNumber]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000074</isns:Code><isns:Description>Reporting Party Travel Sequence Container must not be duplicated</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:segment/xbrldi:typedMember/TrvlSqNumDim.02.00:TravelSequenceContainer</xsl:text></Location><isns:LongDescription>The Sequence Container within the Travel Sequence Dimension context instance must not be duplicated</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="clothingReportItemOrderNumber" select="xbrli:entity/xbrli:segment/xbrldi:typedMember/CSSqNumDim.02.00:ClothingSequenceContainer"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $RPCLOTHINGSEQ.ContextId                         and                         preceding-sibling::xbrli:context/xbrli:entity/xbrli:segment/xbrldi:typedMember/                             CSSqNumDim.02.00:ClothingSequenceContainer[. = $clothingReportItemOrderNumber]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000076</isns:Code><isns:Description>Reporting Party Clothing Sequence Container must not be duplicated</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:segment/xbrldi:typedMember/CSSqNumDim.02.00:ClothingSequenceContainer</xsl:text></Location><isns:LongDescription>The Sequence Container within the Clothing Sequence Dimension context instance must not be duplicated</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="educationReportItemOrderNumber" select="xbrli:entity/xbrli:segment/xbrldi:typedMember/EDSqNumDim.02.00:EducationSequenceContainer"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $RPEDUCATIONSEQ.ContextId                         and                         preceding-sibling::xbrli:context/xbrli:entity/xbrli:segment/xbrldi:typedMember/                             EDSqNumDim.02.00:EducationSequenceContainer[. = $educationReportItemOrderNumber]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000078</isns:Code><isns:Description>Reporting Party Education Sequence Container must not be duplicated</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:segment/xbrldi:typedMember/EDSqNumDim.02.00:EducationSequenceContainer</xsl:text></Location><isns:LongDescription>The Sequence Container within the Education Sequence Dimension context instance must not be duplicated</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="wreReportItemOrderNumber" select="xbrli:entity/xbrli:segment/xbrldi:typedMember/OTHWRSqNumDim.02.00:OtherWorkRelatedSequenceContainer"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $RPOTHERWRESEQ.ContextId                         and                         preceding-sibling::xbrli:context/xbrli:entity/xbrli:segment/xbrldi:typedMember/                             OTHWRSqNumDim.02.00:OtherWorkRelatedSequenceContainer[. = $wreReportItemOrderNumber]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000080</isns:Code><isns:Description>Reporting Party Other Work Related Sequence Container must not be duplicated</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:segment/xbrldi:typedMember/OTHWRSqNumDim.02.00:OtherWorkRelatedSequenceContainer</xsl:text></Location><isns:LongDescription>The Sequence Container within the Other Work Related Sequence Dimension context instance must not be duplicated</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M51"/></xsl:template><xsl:template match="text()" priority="-1" mode="M51"/><xsl:template match="@*|node()" priority="-2" mode="M51"><xsl:apply-templates select="*" mode="M51"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1005" mode="M52">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre12                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000026</isns:Code><isns:Description>Car expenses - Explanation and justification for work purposes contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.CarReason.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre24                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000029</isns:Code><isns:Description>Other travel expenses - Explain how these expenses relate to your work contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.TravelReason.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre31                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000032</isns:Code><isns:Description>'Uniform, protective or occupation specific clothing and laundry expenses…' contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.ClothingReason.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre38                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000035</isns:Code><isns:Description>Self education expenses - Explain how expenses relate to current work activities contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.EducationReason.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre49                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000040</isns:Code><isns:Description>Other work expenses - Explanation and justification for work purposes of each expense contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.WorkRelatedReasonOther.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPCARSEQ.ContextId]" priority="1004" mode="M52"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre13                         [                             @contextRef = $thisContextId                             and                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000027</isns:Code><isns:Description>Car expenses - Description of car (make, model) contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpo1.02.23:Assets.CarMakeModel.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre21                         [                             @contextRef = $thisContextId                             and                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000028</isns:Code><isns:Description>Car expenses - Details of "other" evidence/calculation code used contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.CarStandardEvidenceCalculationOther.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre16                         [                             @contextRef = $thisContextId                             and                             not(@i:nil='true')                             and                             not(matches(.,'^[0-9]+$'))                         ]                                                              )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000082</isns:Code><isns:Description>'Car expenses - Log book method - Business % shown in log book' must be numeric</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.CarLogBookMethodBusinessUseRecorded.Percent</xsl:text></Location><isns:LongDescription>'Car expenses - Log book method - Business % shown in log book' must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre17                         [                             @contextRef = $thisContextId                             and                             not(@i:nil='true')                             and                             not(matches(.,'^[0-9]+$'))                         ]                                                              )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000083</isns:Code><isns:Description>'Car expenses - Log book method - business % claimed' must be numeric</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.CarLogBookMethodBusinessUseClaimed.Percent</xsl:text></Location><isns:LongDescription>'Car expenses - Log book method - business % claimed' must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPTRAVELSEQ.ContextId]" priority="1003" mode="M52"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre26                         [                             @contextRef = $thisContextId                             and                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000030</isns:Code><isns:Description>Other travel expenses - Details of "other" code used contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.TravelCategoryOther.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre28                         [                             @contextRef = $thisContextId                             and                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000031</isns:Code><isns:Description>Other travel expenses - Details of "other" evidence/calculation code used contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.TravelStandardEvidenceCalculationOther.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPCLOTHINGSEQ.ContextId]" priority="1002" mode="M52"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre33                         [                             @contextRef = $thisContextId                             and                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000033</isns:Code><isns:Description>Clothing expenses - Details of "other" clothing category used contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.ClothingCategoryOther.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre35                         [                             @contextRef = $thisContextId                             and                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000034</isns:Code><isns:Description>Clothing expenses - Details of "other" evidence/calculation code used contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.ClothingStandardEvidenceCalculationOther.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPEDUCATIONSEQ.ContextId]" priority="1001" mode="M52"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre39                         [                             @contextRef = $thisContextId                             and                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000036</isns:Code><isns:Description>Self education expenses - Name of course contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.09:Identifiers.CourseName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre40                         [                             @contextRef = $thisContextId                             and                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000037</isns:Code><isns:Description>Self education expenses - Institution contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.09:Identifiers.InstitutionName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre42                         [                             @contextRef = $thisContextId                             and                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000038</isns:Code><isns:Description>Self education expenses - Details of "other" category used contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.EducationCategoryOther.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre44                         [                             @contextRef = $thisContextId                             and                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000039</isns:Code><isns:Description>Self education expenses - Explanation of "other" evidence/calculation code used contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.EducationStandardEvidenceCalculationOther.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPOTHERWRESEQ.ContextId]" priority="1000" mode="M52"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre54                         [                             @contextRef = $thisContextId                             and                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000042</isns:Code><isns:Description>Other work expenses - Details of "other" evidence/calculation code used contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.WorkRelatedStandardEvidenceCalculationOther.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre51                         [                             @contextRef = $thisContextId                             and                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000041</isns:Code><isns:Description>Other work expenses - Details of "other" category used contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.WorkRelatedCategoryOther.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre52                         [                             @contextRef = $thisContextId                             and                             not(@i:nil='true')                             and                             not(matches(.,'^[0-9]+$'))                         ]                                                              )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000084</isns:Code><isns:Description>'Other work expenses - business %' must be numeric</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.WorkRelatedBusinessUseClaimedOther.Percent</xsl:text></Location><isns:LongDescription>'Other work expenses - business %' must be a numeric field, values nnn where n is a digit 0 to 9 only to be used</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template><xsl:template match="text()" priority="-1" mode="M52"/><xsl:template match="@*|node()" priority="-2" mode="M52"><xsl:apply-templates select="*" mode="M52"/></xsl:template>

<!--
                PATTERN FieldPatternsField Length Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1005" mode="M53">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $wre46                           [                               not(matches(.,'^[0-9]{1,11}$'))                           ]                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000020</isns:Code><isns:Description>Self education expenses - s82A reduction amount is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.EducationReduction.Amount</xsl:text></Location><isns:LongDescription>Self education expenses - s82A reduction amount must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $wre47                           [                               not(matches(.,'^[0-9]{1,11}$'))                           ]                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000021</isns:Code><isns:Description>Self education expenses - Net deduction is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.EducationNet.Amount</xsl:text></Location><isns:LongDescription>Self education expenses - Net deduction must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M53"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPCARSEQ.ContextId]" priority="1004" mode="M53"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre13                         [                             string-length(.) &gt; 20                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000001</isns:Code><isns:Description>Car expenses - Description of car (make, model) must not exceed 20 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpo1.02.23:Assets.CarMakeModel.Description</xsl:text></Location><isns:LongDescription>For Car expenses - Description of car (make, model), the maximum allowable characters for this form is 20</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre16                         [                             string-length(.) &gt; 3                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000002</isns:Code><isns:Description>Car expenses - Log book method - Business % shown in log book must not exceed 3 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.CarLogBookMethodBusinessUseRecorded.Percent</xsl:text></Location><isns:LongDescription>For Car expenses - Log book method - Business % shown in log book, the maximum allowable characters for this form is 3</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre17                         [                             string-length(.) &gt; 3                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000003</isns:Code><isns:Description>Car expenses - Log book method - business % claimed must not exceed 3 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.CarLogBookMethodBusinessUseClaimed.Percent</xsl:text></Location><isns:LongDescription>For Car expenses - Log book method - business % claimed, the maximum allowable characters for this form is 3</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre18                         [                             string-length(.) &gt; 4                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000004</isns:Code><isns:Description>Car expenses - Total business kilometres (cents per km method only) must not exceed 4 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.CarBusinessKilometres.Number</xsl:text></Location><isns:LongDescription>For Car expenses - Total business kilometres (cents per km method only), the maximum allowable characters for this form is 4</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre19                         [                             not(matches(.,'^[0-9]{1,11}$'))                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000005</isns:Code><isns:Description>Car expenses - Car cost price is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.23:Expense.CarPurchasePrice.Amount</xsl:text></Location><isns:LongDescription>Car expenses - Car cost price must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre21                         [                             string-length(.) &gt; 240                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000006</isns:Code><isns:Description>Car expenses - Details of "other" evidence/calculation code used must not exceed 240 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.CarStandardEvidenceCalculationOther.Description</xsl:text></Location><isns:LongDescription>For Car expenses - Details of "other" evidence/calculation code used, the maximum allowable characters for this form is 240</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre22                         [                             not(matches(.,'^[0-9]{1,11}$'))                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000007</isns:Code><isns:Description>Car expenses - Amount is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.Car.Amount</xsl:text></Location><isns:LongDescription>Car expenses - Amount must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M53"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPTRAVELSEQ.ContextId]" priority="1003" mode="M53"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre26                         [                             string-length(.) &gt; 40                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000008</isns:Code><isns:Description>Other travel expenses - Details of "other" code used must not exceed 40 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.TravelCategoryOther.Description</xsl:text></Location><isns:LongDescription>For Other travel expenses - Details of "other" code used, the maximum allowable characters for this form is 40</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre28                         [                             string-length(.) &gt; 240                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000009</isns:Code><isns:Description>Other travel expenses - Details of "other" evidence/calculation code used must not exceed 240 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.TravelStandardEvidenceCalculationOther.Description</xsl:text></Location><isns:LongDescription>For Other travel expenses - Details of "other" evidence/calculation code used, the maximum allowable characters for this form is 240</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre29                         [                             not(matches(.,'^[0-9]{1,11}$'))                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000010</isns:Code><isns:Description>Other travel expenses - Amount is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.Travel.Amount</xsl:text></Location><isns:LongDescription>Other travel expenses - Amount must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M53"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPCLOTHINGSEQ.ContextId]" priority="1002" mode="M53"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre33                         [                             string-length(.) &gt; 40                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000011</isns:Code><isns:Description>Clothing expenses - Details of "other" clothing category used must not exceed 40 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.ClothingCategoryOther.Description</xsl:text></Location><isns:LongDescription>For Clothing expenses - Details of "other" clothing category used, the maximum allowable characters for this form is 40</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre35                         [                             string-length(.) &gt; 240                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000012</isns:Code><isns:Description>Clothing expenses - Details of "other" evidence/calculation code used must not exceed 240 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.ClothingStandardEvidenceCalculationOther.Description</xsl:text></Location><isns:LongDescription>For Clothing expenses - Details of "other" evidence/calculation code used, the maximum allowable characters for this form is 240</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre36                         [                             not(matches(.,'^[0-9]{1,11}$'))                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000013</isns:Code><isns:Description>Clothing expenses - Amount is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.Clothing.Amount</xsl:text></Location><isns:LongDescription>Clothing expenses - Amount must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M53"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPEDUCATIONSEQ.ContextId]" priority="1001" mode="M53"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre39                         [                             string-length(.) &gt; 20                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000015</isns:Code><isns:Description>Self education expenses - Name of course must not exceed 20 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.09:Identifiers.CourseName.Text</xsl:text></Location><isns:LongDescription>For Self education expenses - Name of course, the maximum allowable characters for this form is 20</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre40                         [                             string-length(.) &gt; 20                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000016</isns:Code><isns:Description>Self education expenses - Institution must not exceed 20 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.09:Identifiers.InstitutionName.Text</xsl:text></Location><isns:LongDescription>For Self education expenses - Institution, the maximum allowable characters for this form is 20</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre42                         [                             string-length(.) &gt; 40                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000017</isns:Code><isns:Description>Self education expenses - Details of "other" category used must not exceed 40 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.EducationCategoryOther.Description</xsl:text></Location><isns:LongDescription>For Self education expenses - Details of "other" category used, the maximum allowable characters for this form is 40</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre44                         [                             string-length(.) &gt; 240                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000018</isns:Code><isns:Description>Self education expenses - Explanation of "other" evidence/calculation code used must not exceed 240 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.EducationStandardEvidenceCalculationOther.Description</xsl:text></Location><isns:LongDescription>For Self education expenses - Explanation of "other" evidence/calculation code used, the maximum allowable characters for this form is 240</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre45                         [                             not(matches(.,'^[0-9]{1,11}$'))                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000019</isns:Code><isns:Description>Self education expenses - Gross amount is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.Education.Amount</xsl:text></Location><isns:LongDescription>Self education expenses - Gross amount must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M53"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPOTHERWRESEQ.ContextId]" priority="1000" mode="M53"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre51                         [                             string-length(.) &gt; 40                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000022</isns:Code><isns:Description>Other work expenses - Details of "other" category used must not exceed 40 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.WorkRelatedCategoryOther.Description</xsl:text></Location><isns:LongDescription>For Other work expenses - Details of "other" category used, the maximum allowable characters for this form is 40</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre55                         [                             not(matches(.,'^[0-9]{1,11}$'))                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000025</isns:Code><isns:Description>Car expenses - Car cost price is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.WorkRelatedOther.Amount</xsl:text></Location><isns:LongDescription>Car expenses - Car cost price must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre52                         [                             string-length(.) &gt; 3                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000023</isns:Code><isns:Description>Other work expenses - business % must not exceed 3 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.WorkRelatedBusinessUseClaimedOther.Percent</xsl:text></Location><isns:LongDescription>For Other work expenses - business %, the maximum allowable characters for this form is 3</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre54                         [                             string-length(.) &gt; 240                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000024</isns:Code><isns:Description>Other work expenses - Details of "other" evidence/calculation code used must not exceed 240 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.WorkRelatedStandardEvidenceCalculationOther.Description</xsl:text></Location><isns:LongDescription>For Other work expenses - Details of "other" evidence/calculation code used, the maximum allowable characters for this form is 240</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M53"/></xsl:template><xsl:template match="text()" priority="-1" mode="M53"/><xsl:template match="@*|node()" priority="-2" mode="M53"><xsl:apply-templates select="*" mode="M53"/></xsl:template>

<!--
                PATTERN MandatoriesMandatory Validations-->
<xsl:template match="text()" priority="-1" mode="M54"/><xsl:template match="@*|node()" priority="-2" mode="M54"><xsl:apply-templates select="*" mode="M54"/></xsl:template>

<!--
                PATTERN ContentContent Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1005" mode="M55">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         sum($wre46) &gt; 250                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000066</isns:Code><isns:Description>The Self education expenses - s82A reduction amounts must not exceed $250</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.EducationReduction.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        sum($wre47) != (sum($wre45) - sum($wre46))                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000067</isns:Code><isns:Description>Self education expenses - Net deduction is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.EducationNet.Amount</xsl:text></Location><isns:LongDescription>The 'Self education expenses - Net deduction' amount must equal the sum of 'Self education expenses - Gross amount' less 'Self education expenses - s82A reduction amount'</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M55"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPCARSEQ.ContextId]" priority="1004" mode="M55"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre15[. = '12% of original value' and @contextRef = $thisContextId]                         and                         sum($wre22[@contextRef = $thisContextId])                          &gt;                         (sum($wre19[@contextRef = $thisContextId]) * 0.12) + 1                                                  )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000043</isns:Code><isns:Description>Car expenses - Amount is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.CarCalculationMethod.Code</xsl:text></Location><isns:LongDescription>When 'Car expenses - Claim code' selected is "12% of original value", the 'Car expenses - Amount' must not be above 12% of the 'Car expenses - Car cost price'</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre17[not(@i:nil='true') and @contextRef = $thisContextId]                         and                         not($wre16[not(@i:nil='true') and @contextRef = $thisContextId])                                               )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000044</isns:Code><isns:Description>Car expenses - Log book method - Business % shown in log book is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.CarLogBookMethodBusinessUseRecorded.Percent</xsl:text></Location><isns:LongDescription>When a value has been provided for 'Car expenses - Log book method - Business % shown in log book', the 'Car expenses - Log book method - business % claimed' must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre15[. = 'Logbook' and @contextRef = $thisContextId]                         and                         not($wre16[not(@i:nil='true') and @contextRef = $thisContextId])                                               )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000045</isns:Code><isns:Description>Car expenses - Log book method - Business % shown in log book is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.CarLogBookMethodBusinessUseRecorded.Percent</xsl:text></Location><isns:LongDescription>When 'Car expenses - Claim code' is set to "Logbook", the 'Car expenses - Log book method - Business % shown in log book' must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre16[not(@i:nil='true') and @contextRef = $thisContextId]                         and                         not($wre17[not(@i:nil='true') and @contextRef = $thisContextId])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000046</isns:Code><isns:Description>Car expenses - Log book method - business % claimed is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.CarLogBookMethodBusinessUseClaimed.Percent</xsl:text></Location><isns:LongDescription>When a value has been provided for 'Car expenses - Log book method - Business % shown in log book', the 'Car expenses - Log book method - business % claimed' must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre15[. = 'Cents per kilometre' and @contextRef = $thisContextId]                         and                         sum($wre18[@contextRef = $thisContextId]) &gt; 5000                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000047</isns:Code><isns:Description>Car expenses - Total business kilometres (cents per km method only) allowable has been exceeded</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.CarBusinessKilometres.Number</xsl:text></Location><isns:LongDescription>When 'Car expenses - Claim code' is set to "Cents per kilometre", the 'Car expenses - Total business kilometres (cents per km method only)' must not exceed 5000 kilometres</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         sum($wre19[@contextRef = $thisContextId]) &gt; 57466                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000048</isns:Code><isns:Description>The Car expenses - Car cost price must not exceed the ATO depreciation cost limit of $57466</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.23:Expense.CarPurchasePrice.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre15                         [                             (                                 . = '12% of original value'    or . = 'One-third of actual expenses'  or . = 'Logbook'                             )                             and                             @contextRef = $thisContextId                         ]                         and                         $wre20                         [                             not                             (                                 . = 'Invoice receipt'       or . = 'PAYG summary'   or . = 'Diary evidence'     or                                  . = 'Allowance'             or . = 'ATO ruling'     or . = 'Diary calculation'  or                                 . = 'Actual recorded cost'  or . = 'Log book'       or . = 'Other evidence'     or                                  . = 'Other calculation'                             )                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000049</isns:Code><isns:Description>Car expenses - Standard evidence/calculation information code is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.CarStandardEvidenceCalculation.Code</xsl:text></Location><isns:LongDescription>When 'Car expenses - Claim code' is set to either "Logbook", "One-third actual expenses" or "12% of cost of car", the associated valid codes for 'Car expenses - Standard evidence/calculation information code' are; "Invoice receipt", "PAYG summary", "Dairy evidence", "Allowance", "ATO ruling", "Diary calculation", "Actual recorded cost", "Log book", "Other evidence" or "Other calculation"</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre20                         [                             (. = 'Other evidence' or . = 'Other calculation')                             and                             @contextRef = $thisContextId                         ]                         and                         not($wre21[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000051</isns:Code><isns:Description>Car expenses - Details of "other" evidence/calculation code used is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.CarStandardEvidenceCalculationOther.Description</xsl:text></Location><isns:LongDescription>When 'Car expenses - Standard evidence/calculation information code' is set to either "Other evidence" or "Other calculation", the 'Car expenses - Details of "other" evidence/calculation code used' must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre14[. = 'A' and @contextRef = $thisContextId]                         and                         $wre15[. = 'Cents per kilometre' and @contextRef = $thisContextId]                         and                         (                            sum($wre22[@contextRef = $thisContextId]) &lt; (sum($wre18[@contextRef = $thisContextId]) * 0.65) - 1                             or                             sum($wre22[@contextRef = $thisContextId]) &gt; (sum($wre18[@contextRef = $thisContextId]) * 0.65) + 1                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000052</isns:Code><isns:Description>Car expenses set rate method is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.Car.Amount</xsl:text></Location><isns:LongDescription>When 'Car expenses - Engine capacity code (cents per km method only)' selected is "Engine capacity &lt;= 1600cc or rotary engine &lt;= 800cc" and 'Car expenses - Claim code' is set to "Cents per kilometre", the 'Car expenses - Amount' must equal the amount calculated by multiplying 'Car expenses - Total business kilometres (cents per km method only)' by the allowable rate per kilometre, based on the 'Car expenses - Engine capacity code (cents per km method only)'</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre14[. = 'B' and @contextRef = $thisContextId]                         and                         $wre15[. = 'Cents per kilometre' and @contextRef = $thisContextId]                         and                         (                            sum($wre22[@contextRef = $thisContextId]) &lt; (sum($wre18[@contextRef = $thisContextId]) * 0.76) - 1                             or                             sum($wre22[@contextRef = $thisContextId]) &gt; (sum($wre18[@contextRef = $thisContextId]) * 0.76) + 1                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000053</isns:Code><isns:Description>Car expenses set rate method is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.Car.Amount</xsl:text></Location><isns:LongDescription>When 'Car expenses - Engine capacity code (cents per km method only)' selected is "Engine capacity &gt;1600cc and &lt;= 2600cc or rotary engine &gt;800cc and &lt;= 1300cc" and 'Car expenses - Claim code' is set to "Cents per kilometre", the 'Car expenses - Amount' must equal the amount calculated by multiplying 'Car expenses - Total business kilometres (cents per km method only)' by the allowable rate per kilometre, based on the 'Car expenses - Engine capacity code (cents per km method only)'</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre14[. = 'C' and @contextRef = $thisContextId]                         and                         $wre15[. = 'Cents per kilometre' and @contextRef = $thisContextId]                         and                         (                            sum($wre22[@contextRef = $thisContextId]) &lt; (sum($wre18[@contextRef = $thisContextId]) * 0.77) - 1                             or                             sum($wre22[@contextRef = $thisContextId]) &gt; (sum($wre18[@contextRef = $thisContextId]) * 0.77) + 1                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000054</isns:Code><isns:Description>Car expenses set rate method is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.Car.Amount</xsl:text></Location><isns:LongDescription>When 'Car expenses - Engine capacity code (cents per km method only)' selected is "Engine capacity &gt;2600cc or rotary engine &gt;1300cc" and 'Car expenses - Claim code' is set to "Cents per kilometre", the 'Car expenses - Amount' must equal the amount calculated by multiplying 'Car expenses - Total business kilometres (cents per km method only)' by the allowable rate per kilometre, based on the 'Car expenses - Engine capacity code (cents per km method only)'</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M55"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPTRAVELSEQ.ContextId]" priority="1003" mode="M55"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre25                         [                             (                                 . = 'Vehicles' or . = 'Other'                             )                             and                             @contextRef = $thisContextId                         ]                         and                         $wre27                         [                             not                             (                                 . = 'Invoice receipt' or . = 'PAYG summary'   or . = 'Diary evidence' or                                  . = 'Allowance'       or . = 'No Substantiation' or . = 'Other evidence'                             )                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000056</isns:Code><isns:Description>Other travel expenses - Standard evidence/calculation code is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.TravelStandardEvidenceCalculation.Code</xsl:text></Location><isns:LongDescription>When 'Other travel expenses - Category of expense' is set to either "Vehicles" or "Other", the associated valid codes for 'Other travel expenses - Standard evidence/calculation code' are; "Invoice receipt", "PAYG summary", "Diary evidence", "Allowance", "No Substantiation" or "Other evidence"</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre25                         [                             (. = 'Award' or . = 'Domestic' or . = 'Overseas')                             and                             @contextRef = $thisContextId                         ]                         and                         not($wre27[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000057</isns:Code><isns:Description>Other travel expenses - Standard evidence/calculation code is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.TravelStandardEvidenceCalculation.Code</xsl:text></Location><isns:LongDescription>When 'Other travel expenses - Category of expense' is set to either "Domestic" or "Overseas", the 'Other travel expenses - Standard evidence/calculation code' must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre27                         [                             (. = 'Other evidence' or . = 'Other calculation')                             and                             @contextRef = $thisContextId                         ]                         and                         not($wre28[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000058</isns:Code><isns:Description>Other travel expenses - Details of "other" evidence/calculation code used is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.TravelStandardEvidenceCalculationOther.Description</xsl:text></Location><isns:LongDescription>When 'Other travel expenses - Standard evidence/calculation code' is set to either "Other Evidence" or "Other Calculation", the 'Other travel expenses - Details of "other" evidence/calculation code used' must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre25                         [                             (. = 'Other')                             and                             @contextRef = $thisContextId                         ]                         and                         not($wre26[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000085</isns:Code><isns:Description>'Other travel expenses - Details of "other" code used' must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.TravelCategoryOther.Description</xsl:text></Location><isns:LongDescription>When 'Other travel expenses - Category of expense' of "Other" is selected, then 'Other travel expenses - Details of "other" code used' must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M55"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPCLOTHINGSEQ.ContextId]" priority="1002" mode="M55"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre32                         [                             . = 'Laundry'                             and                             @contextRef = $thisContextId                         ]                         and                         not($wre34[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000060</isns:Code><isns:Description>Clothing expenses - Standard evidence/calculation information code is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.ClothingStandardEvidenceCalculation.Code</xsl:text></Location><isns:LongDescription>When 'Clothing expenses - Category' is set to "Laundry", the 'Clothing expenses - Standard evidence/calculation information code' must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre32                         [                             (                                 . = 'Dry cleaning'                or . = 'Protective clothing'          or . = 'Compulsory work uniform' or                                  . = 'Non-compulsory work uniform' or . = 'Occupation specific clothing' or . = 'Other'                             )                             and                             @contextRef = $thisContextId                         ]                         and                         $wre34                         [                             not                             (                                 . = 'Invoice receipt' or . = 'PAYG summary'   or . = 'Diary evidence' or                                  . = 'Allowance'       or . = 'No Substantiation' or . = 'Other evidence'                             )                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000061</isns:Code><isns:Description>Clothing expenses - Standard evidence/calculation information code is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.ClothingStandardEvidenceCalculation.Code</xsl:text></Location><isns:LongDescription>When 'Clothing expenses - Category' is set to either "Dry cleaning", "Protective clothing", "Compulsory work uniform", "Non-compulsory work uniform", "Occupation specific clothing" or "Other", the associated valid codes for 'Clothing expenses - Standard evidence/calculation information code' are; "Invoice receipt", "PAYG summary", "Diary evidence", "Allowance", "No Substantiation" or "Other evidence"</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre34                         [                             (. = 'Other evidence' or . = 'Other calculation')                             and                             @contextRef = $thisContextId                         ]                         and                         not($wre35[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000062</isns:Code><isns:Description>Clothing expenses - Details of "other" evidence/calculation code used is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.ClothingStandardEvidenceCalculationOther.Description</xsl:text></Location><isns:LongDescription>When 'Clothing expenses - Standard evidence/calculation information code' is set to either "Other evidence" or "Other calculation", the 'Clothing expenses - Details of "other" evidence/calculation code used' must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre32                         [                             (. = 'Other')                             and                             @contextRef = $thisContextId                         ]                         and                         not($wre33[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000086</isns:Code><isns:Description>'Clothing expenses - Details of "other" clothing category used' must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.ClothingCategoryOther.Description</xsl:text></Location><isns:LongDescription>When 'Clothing expenses - Category' of "Other" is selected, then 'Clothing expenses - Details of "other" clothing category used' must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M55"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPOTHERWRESEQ.ContextId]" priority="1001" mode="M55"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre50[(. = 'Home Telephone' or . = 'Computer expenses') and @contextRef = $thisContextId]                         and                         not($wre52[@contextRef = $thisContextId and not(@i:nil='true')])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000068</isns:Code><isns:Description>Other work expenses - Category of expense is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.WorkRelatedBusinessUseClaimedOther.Percent</xsl:text></Location><isns:LongDescription>When 'Other work expenses - Category of expense' is set to either "Home Telephone" or "Computer expenses", the 'Other work expenses - business %' must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre50                         [                           (. = 'Seminars' or . = 'Books and journals' or . = 'Home office running' or                             . = 'Home office occupancy' or . = 'Home Telephone' or . = 'Computer expenses' or                            . = 'Tools and equipment' or . = 'Other depreciation' or . = 'Other' or . = 'Newspapers' or . = 'Mobile Phone' or                             . = 'Internet Access' or . = 'Subscriptions' or . = 'Printing Postage and Stationery')                            and                            @contextRef = $thisContextId                         ]                         and                         not($wre53                         [                           (. = 'Invoice receipt' or . = 'PAYG summary' or . = 'Diary evidence' or . = 'Allowance' or                             . = 'No Substantiation' or . = 'Other evidence')                           and                            @contextRef = $thisContextId                         ])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000070</isns:Code><isns:Description>Other work expenses - Standard evidence/calculation information code is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.WorkRelatedStandardEvidenceCalculationOther.Code</xsl:text></Location><isns:LongDescription>When 'Other work expenses - Category of expense' is set to either "Seminars", "Books and journals", "Home office running expenses", "Home office occupancy expenses", "Home Telephone", "Computer expenses including depreciation", "Tools and equipment", "Other depreciation", "Other", "Newspapers", "Mobile Phone", "Internet Access", "Subscriptions" or "Printing Postage and Stationery", the associated valid codes for 'Other work expenses - Standard evidence/calculation information code' are; "Invoice or receipt", "PAYG payment summary", "Diary evidence", "Allowance received", "Substantiation not required" or "Other evidence"</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre53[(. = 'Other evidence' or . = 'Other calculation') and @contextRef = $thisContextId]                         and                         not($wre54[@contextRef = $thisContextId and not(@i:nil='true') and string-length(.) != 0])                                    )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000071</isns:Code><isns:Description>Other work expenses - Details of "other" evidence/calculation code used is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.WorkRelatedStandardEvidenceCalculationOther.Description</xsl:text></Location><isns:LongDescription>When 'Other work expenses - Standard evidence/calculation information code' is set to either "Other evidence" or "Other Calculation", the 'Other work expenses - Details of "other" evidence/calculation code used' must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre50                         [                             (. = 'Other')                             and                             @contextRef = $thisContextId                         ]                         and                         not($wre51[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000088</isns:Code><isns:Description>'Other work expenses - Details of "other" category used' must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.WorkRelatedCategoryOther.Description</xsl:text></Location><isns:LongDescription>When 'Other work expenses - Category of expense' of "Other" is selected, then 'Other work expenses - Details of "other" category used' must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M55"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPEDUCATIONSEQ.ContextId]" priority="1000" mode="M55"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre41[@contextRef = $thisContextId and not(@i:nil='true') and string-length(.) != 0]                         and                         not($wre43[@contextRef = $thisContextId and not(@i:nil='true') and string-length(.) != 0])                                    )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000063</isns:Code><isns:Description>Self education expenses - Standard evidence/calculation information code is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.EducationStandardEvidenceCalculation.Code</xsl:text></Location><isns:LongDescription>When 'Self education expenses - Category of expense' is set, the 'Self education expenses - Standard evidence/calculation information code' must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre43[(. = 'Other evidence' or . = 'Other calculation') and @contextRef = $thisContextId]                         and                         not($wre44[@contextRef = $thisContextId and not(@i:nil='true') and string-length(.) != 0])                                    )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000065</isns:Code><isns:Description>Self education expenses - Explanation of "other" evidence/calculation code used is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.EducationStandardEvidenceCalculationOther.Description</xsl:text></Location><isns:LongDescription>When 'Self education expenses - Standard evidence/calculation information code' is set to either "Other evidence" or "Other Calculation", the 'Self education expenses - Explanation of "other" evidence/calculation code used' must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $wre41                         [                             (. = 'Other')                             and                             @contextRef = $thisContextId                         ]                         and                         not($wre42[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.WRE.000087</isns:Code><isns:Description>'Self education expenses - Details of "other" category used' must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.Deduction.EducationCategoryOther.Description</xsl:text></Location><isns:LongDescription>When 'Self education expenses - Category of expense' of "Other" is selected, then 'Self education expenses - Details of "other" category used' must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M55"/></xsl:template><xsl:template match="text()" priority="-1" mode="M55"/><xsl:template match="@*|node()" priority="-2" mode="M55"><xsl:apply-templates select="*" mode="M55"/></xsl:template></xsl:stylesheet>